<dx-data-grid class="gridContainer box-shadow" #gridNomenclatureType [columnAutoWidth]='true'
    [allowColumnResizing]='true' [allowColumnReordering]='true' [rowAlternationEnabled]='ui.rowAlternationEnabled'
    [showColumnLines]='ui.showColumnLines' [showRowLines]='ui.showRowLines' [height]='ui.fullHeight'
    [dataSource]='dsNomenclatureTypes' (onToolbarPreparing)='toolbarPreparing($event)'>

    <dxo-export [enabled]='true' [enabled]='true' fileName='transporttypes'></dxo-export>
    <dxo-remote-operations [sorting]="true" [paging]="true" [filtering]="true"></dxo-remote-operations>
    <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
    <dxo-master-detail [enabled]='true' template='details'></dxo-master-detail>
    <dxo-search-panel [visible]='true'></dxo-search-panel>

    <dxi-column caption='Cod' dataField='code' dataType='string'></dxi-column>
    <dxi-column caption='Descriere' dataField='description' dataType='string' [allowHeaderFiltering]='false'>
    </dxi-column>
    <dxi-column type="buttons" fixedPosition='left' width='110' [fixed]='true' [allowResizing]='false'
        [showInColumnChooser]='false' [visible]='ds.isSuperAdmin'>
        <dxi-button hint='Editează' icon="edit" [onClick]="onEditNomenclaturesClick"></dxi-button>
        <dxi-button hint='Șterge' icon='trash' [onClick]="onDeleteNomenclaturesClick"></dxi-button>
    </dxi-column>

    <div *dxTemplate="let nomen of 'details'">
        <dx-data-grid #gridNomenclatureVal [height]='300' [columnAutoWidth]='true' [allowColumnResizing]='true'
            [allowColumnReordering]='true' [rowAlternationEnabled]='ui.rowAlternationEnabled'
            [showColumnLines]='ui.showColumnLines' [showRowLines]='ui.showRowLines'
            (onContentReady)="onContentReady($event, nomen.data)"
            (onToolbarPreparing)='toolbarPreparing($event, nomen.data)'>
            <dxo-export [enabled]='true' [enabled]='true' fileName='transporttypes'></dxo-export>
            <dxo-remote-operations [sorting]="true" [paging]="true" [filtering]="true"></dxo-remote-operations>
            <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
            <dxo-search-panel [visible]='true'></dxo-search-panel>

            <dxi-column caption='Cod' dataField='code' dataType='string'></dxi-column>
            <dxi-column caption='Descriere' dataField='description' dataType='string' [allowHeaderFiltering]='false'>
            </dxi-column>
            <dxi-column type="buttons" fixedPosition='left' width='110' [fixed]='true' [allowResizing]='false'
                [showInColumnChooser]='false'>
                <dxi-button hint='Editează' icon="edit" [onClick]="onEditNomenclaturesClick"></dxi-button>
                <dxi-button hint='Șterge' icon='trash' [onClick]="onDeleteNomenclaturesClick"></dxi-button>
            </dxi-column>
        </dx-data-grid>
    </div>
</dx-data-grid>

<dx-popup [(visible)]='isNomenPopupVisible' [minWidth]='ui.minWidthPopup' width='auto' maxWidth='90vw'
    (onShown)='ui.onPopupShown($event)' (onHidden)='ui.onPopupHidden($event)' height='auto' title='Nomenclator'>
    <div *dxTemplate="let data of 'content'">
        <dx-scroll-view [height]='ui.scrollHeight' width="auto" direction="both">
            <app-edit-nomenclatures [nomenData]='nomen'></app-edit-nomenclatures>
        </dx-scroll-view>
    </div>
    <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton"
        [options]="{ text:'Salvează', icon:'save', type: 'normal', onClick: onSaveNomen, validationGroup:'nomenValidation' }">
    </dxi-toolbar-item>
</dx-popup>